'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgData = function SvgData(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Data_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M40.003 2C21.495 2 7 7.916 7 15.465V64.53C7 72.07 21.495 78 40.003 78 58.51 78 73 72.084 73 64.53V15.48C73 7.92 58.49 2 40.003 2m0 74.854C22.74 76.854 8.16 71.21 8.16 64.53V51.291l.366.503c4.277 5.604 16.926 9.369 31.477 9.369 14.55 0 27.199-3.765 31.476-9.37l.361-.502v13.234c0 6.685-14.58 12.329-31.838 12.329m0-16.852c-17.262 0-31.843-5.62-31.843-12.264v-13.48l.366.477c4.277 5.604 16.926 9.369 31.477 9.369 14.55 0 27.199-3.765 31.476-9.369l.361-.477v13.42c0 6.68-14.58 12.324-31.838 12.324m0-17.014c-17.262 0-31.864-5.64-31.864-12.304v-11.56l.366.503c4.298 5.629 16.947 9.414 31.477 9.414s27.2-3.765 31.477-9.37l.361-.502v11.515c.02 6.665-14.56 12.304-31.817 12.304m0-15.154C22.74 27.834 8.16 22.195 8.16 15.51S22.74 3.14 40.002 3.14 71.84 8.786 71.84 15.466s-14.58 12.37-31.838 12.37"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Data_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgData;
